summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2015-03-30 19:32:31 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2015-03-30 19:32:31 (GMT)
commit88f8a3c11f2a64c88dc9849178b19fdaa6efdb43 (patch)
tree66d07bc92aeeddb036d191b268f5653c39bb2fc6 /bin
parent45577d56931183f85f0c1f917dfc82fc4407bd3a (diff)
downloadhdf5-88f8a3c11f2a64c88dc9849178b19fdaa6efdb43.zip
hdf5-88f8a3c11f2a64c88dc9849178b19fdaa6efdb43.tar.gz
hdf5-88f8a3c11f2a64c88dc9849178b19fdaa6efdb43.tar.bz2
[svn-r26662] added option to configure support for fortran2003 API.
--enable-fortran2003 | --disable-fortran2003: enable or disable fortran2003 API. Default is off. Tested: by hand in platypus.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/cmakehdf513
1 files changed, 12 insertions, 1 deletions
diff --git a/bin/cmakehdf5 b/bin/cmakehdf5
index c092545..0fffbde 100755
--- a/bin/cmakehdf5
+++ b/bin/cmakehdf5
@@ -45,6 +45,7 @@ fi
cacheinit=$srcdir/config/cmake/cacheinit.cmake
build_cpp_lib=-DHDF5_BUILD_CPP_LIB:BOOL=OFF # C++ interface default off
build_fortran=-DHDF5_BUILD_FORTRAN:BOOL=OFF # Fortran interface default off
+enable_f2003=-DHDF5_ENABLE_F2003:BOOL=OFF # Fortran2003 interface default off
build_hl_lib=-DHDF5_BUILD_HL_LIB:BOOL=ON # High Level interface default on
build_testing=-DBUILD_TESTING:BOOL=ON # Build tests default on
build_tools=-DHDF5_BUILD_TOOLS:BOOL=ON # Build tools default on
@@ -71,6 +72,8 @@ Usage: $progname [<options>]
where options are:
--enable-fortran | --disable-fortran:
enable or disable fortran API. Default is off.
+ --enable-fortran2003 | --disable-fortran2003:
+ enable or disable fortran2003 API. Default is off.
--enable-cxx | --disable-cxx:
enable or disable c++ API. Default is off.
--enable-hl | --disable-hl:
@@ -137,6 +140,12 @@ while [ $# -gt 0 ]; do
--disable-fortran)
build_fortran=-DHDF5_BUILD_FORTRAN:BOOL=OFF
;;
+ --enable-fortran2003)
+ enable_f2003=-DHDF5_ENABLE_F2003:BOOL=ON
+ ;;
+ --disable-fortran2003)
+ enable_f2003=-DHDF5_ENABLE_F2003:BOOL=OFF
+ ;;
--enable-cxx)
build_cpp_lib=-DHDF5_BUILD_CPP_LIB:BOOL=ON
;;
@@ -167,8 +176,9 @@ while [ $# -gt 0 ]; do
exit 0
;;
*)
- echo "Unknown options"
+ echo "Unknown options: $1"
HELP
+ exit 1
;;
esac
shift
@@ -200,6 +210,7 @@ echo Running Cmake for HDF5-${version} ...
STEP "Configure..." "cmake \
$build_cpp_lib \
$build_fortran \
+ $enable_f2003 \
$build_hl_lib \
$build_testing \
$build_tools \